MFMarketMakerHandler (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Interface MFMarketMakerHandler

- All Known Implementing Classes:
    SubTool

      public interface MFMarketMakerHandler

  An interface for callbacks of a market maker. See MFHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConnect(MFMarketMaker maker)`
    `void` | `onDisconnect(MFMarketMaker maker)`
    `void` | `onDropCopy(DropCopy dropCopy, MFMarketMaker maker)`
    `void` | `onEventReport(EventReport eventReport, MFMarketMaker maker)`
    `void` | `onHeartbeat(Heartbeat heartbeat, MFMarketMaker maker)`
    `void` | `onMassQuoteAck(MassQuoteAck msg, MFMarketMaker maker)`
    `void` | `onNewOrder(NewOrder msg, MFMarketMaker maker)`
    `void` | `onOrderTimeout(OrderTimeout msg, MFMarketMaker maker)`
    `void` | `onQuoteRequest(QuoteRequest msg, MFMarketMaker maker)`
    `void` | `onReplayDone(ReplayDone replayDone, MFMarketMaker maker)`
    `void` | `onStart(MFMarketMaker maker)`
    `void` | `onStop(MFMarketMaker maker)`
    `void` | `onSubscriptionEvent(SubscriptionEvent subscriptionEvent, MFMarketMaker maker)`
    `void` | `onTradeCaptureAck(TradeCaptureAck msg, MFMarketMaker maker)`

- - ### Method Detail

    - #### onStart

          void onStart(MFMarketMaker maker)

    - #### onStop

          void onStop(MFMarketMaker maker)

    - #### onDisconnect

          void onDisconnect(MFMarketMaker maker)

    - #### onConnect

          void onConnect(MFMarketMaker maker)

    - #### onHeartbeat

          void onHeartbeat(Heartbeat heartbeat,
                           MFMarketMaker maker)

    - #### onEventReport

          void onEventReport(EventReport eventReport,
                             MFMarketMaker maker)

    - #### onSubscriptionEvent

          void onSubscriptionEvent(SubscriptionEvent subscriptionEvent,
                                   MFMarketMaker maker)

    - #### onQuoteRequest

          void onQuoteRequest(QuoteRequest msg,
                              MFMarketMaker maker)

    - #### onMassQuoteAck

          void onMassQuoteAck(MassQuoteAck msg,
                              MFMarketMaker maker)

    - #### onNewOrder

          void onNewOrder(NewOrder msg,
                          MFMarketMaker maker)

    - #### onOrderTimeout

          void onOrderTimeout(OrderTimeout msg,
                              MFMarketMaker maker)

    - #### onTradeCaptureAck

          void onTradeCaptureAck(TradeCaptureAck msg,
                                 MFMarketMaker maker)

    - #### onDropCopy

          void onDropCopy(DropCopy dropCopy,
                          MFMarketMaker maker)

    - #### onReplayDone

          void onReplayDone(ReplayDone replayDone,
                            MFMarketMaker maker)